function SARIMA_S00115 = SARIMA22N(S001, lag)
% SARIMA_S00115 = modelTimeSeries(S001)
% returns an estimated model. This code recreates the estimated model
% produced in the Econometric Modeler app. Use the code below to estimate
% the same model, or estimate a model with the same parameters on a new set
% of data.
%
%	Input:
%		S001: A numeric matrix with the same number of columns as the data imported into the app
%
%	Output:
%		SARIMA_S00115: The model containing estimated parameters
%
% Auto-generated by MATLAB Version 9.5 (R2018b) and Econometrics Toolbox Version 5.1 on 19-Jan-2019 02:05:08

S0011 = S001(:,1);
Lag = lag;
Vlag = [Lag, 2*Lag];


%% Estimate a SARIMA Model of time series S0011
SARIMA_S00115 = arima('Constant',NaN,'ARLags',1:2,'D',2,'MALags',1:2,'SARLags',Vlag,'Seasonality',Lag,'SMALags',Vlag,'Distribution','Gaussian');
SARIMA_S00115 = estimate(SARIMA_S00115,S0011,'Display','off');

end